package org.xbib.interlibrary.action.sru;

public class DefaultSearchRequester implements SearchRequester {

    private final String isil;

    public DefaultSearchRequester(String isil) {
        this.isil = isil;
    }

    @Override
    public String getISIL() {
        return isil;
    }

    @Override
    public String getUserGroup() {
        return null;
    }

    @Override
    public int hashCode() {
        return isil.hashCode();
    }

    @Override
    public boolean equals(Object object) {
        return object instanceof DefaultSearchRequester && hashCode() == object.hashCode();
    }

    @Override
    public String toString() {
        return "[" + isil + "]";
    }
}
