package org.xbib.interlibrary.action.sru;

public class Record {

    private final String identifier;

    private final String schema;

    private final String packing;

    private final String data;

    public Record(String identifier, String schema, String packing, String data) {
        this.identifier = identifier;
        this.schema = schema;
        this.packing = packing;
        this.data = data;
    }

    public String getIdentifier() {
        return identifier;
    }

    public String getSchema() {
        return schema;
    }

    public String getPacking() {
        return packing;
    }

    public String getData() {
        return data;
    }
}
